Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1087737 - Review Request: php-horde-ingo - An email filter rules manager
Review Request: php-horde-ingo - An email filter rules manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-15 04:00 EDT by Remi Collet
Modified: 2014-06-11 19:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-horde-ingo-3.1.4-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-17 00:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-04-15 04:00:04 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/e6175a0c7fdf11327e14466c3d12c11b4ce69e3b/php/horde/php-horde-ingo/php-horde-ingo.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-ingo-3.1.4-1.remi.src.rpm
Description: 
Ingo is an email-filter management application. It is fully
internationalized, integrated with Horde and the IMP Webmail client, and
supports both server-side (Sieve, Procmail, Maildrop) and client-side
(IMAP) message filtering.

Fedora Account System Username: remi
Comment 1 Pavel Alexeev 2014-05-16 06:06:11 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 124 files have unknown license. Detailed output
     of licensecheck in /home/pasha/SOFT/Review/php-horde-ingo/1087737-php-
     horde-ingo/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/horde

horde package contain that directory should be required.

Package horde should be required?

[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/horde/ingo/lib(ingo),
     /usr/share/horde/ingo/lib/Storage(ingo),
     /usr/share/horde/ingo/locale/zh_CN(ingo), /etc/horde/ingo(ingo),
     /usr/share/horde/ingo/lib/Block(ingo),
     /usr/share/horde/ingo/templates(ingo),
     /usr/share/horde/ingo/locale/zh_CN/LC_MESSAGES(ingo),
     /usr/share/horde/ingo/lib/tests(ingo),
     /usr/share/horde/ingo/locale/zh_TW/LC_MESSAGES(ingo),
     /usr/share/horde/ingo(ingo), /usr/share/horde/ingo/locale/zh_TW(ingo),
     /usr/share/horde/ingo/themes(ingo), /usr/share/horde/ingo/js(ingo),
     /usr/share/horde/ingo/locale(ingo),
     /usr/share/horde/ingo/lib/Script(ingo)

Files present also in ingo package which is obsoleted by that one (ingo orphaned for devel). So it should not be issue.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

Other legacy stuff found like %defattr(-,root,root,-). It should be fixed if package does not targeted to EL-5.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
lib/tests exists, please consider run it.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-horde-ingo-3.1.4-1.fc21.noarch.rpm
          php-horde-ingo-3.1.4-1.fc21.src.rpm
php-horde-ingo.noarch: W: conffile-without-noreplace-flag /etc/horde/ingo/hooks.php.dist
php-horde-ingo.noarch: W: conffile-without-noreplace-flag /etc/horde/ingo/conf.xml
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/hooks.php.dist 0640L
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/prefs.php 0660L
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/fields.php 0660L
php-horde-ingo.noarch: E: non-standard-dir-perm /etc/horde/ingo 0770L
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/conf.xml 0660L
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/backends.php 0660L
php-horde-ingo.noarch: W: no-manual-page-for-binary ingo-convert-sql-shares-to-sqlng
php-horde-ingo.noarch: W: no-manual-page-for-binary ingo-postfix-policyd
php-horde-ingo.noarch: W: no-manual-page-for-binary ingo-convert-prefs-to-sql
php-horde-ingo.noarch: W: install-file-in-docs /usr/share/doc/pear/ingo/INSTALL
2 packages and 0 specfiles checked; 6 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint php-horde-ingo
php-horde-ingo.noarch: W: conffile-without-noreplace-flag /etc/horde/ingo/hooks.php.dist
php-horde-ingo.noarch: W: conffile-without-noreplace-flag /etc/horde/ingo/conf.xml
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/hooks.php.dist 0640L
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/prefs.php 0660L
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/fields.php 0660L
php-horde-ingo.noarch: E: non-standard-dir-perm /etc/horde/ingo 0770L
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/conf.xml 0660L
php-horde-ingo.noarch: E: non-readable /etc/horde/ingo/backends.php 0660L
php-horde-ingo.noarch: W: no-manual-page-for-binary ingo-convert-sql-shares-to-sqlng
php-horde-ingo.noarch: W: no-manual-page-for-binary ingo-postfix-policyd
php-horde-ingo.noarch: W: no-manual-page-for-binary ingo-convert-prefs-to-sql
php-horde-ingo.noarch: W: install-file-in-docs /usr/share/doc/pear/ingo/INSTALL
1 packages and 0 specfiles checked; 6 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
php-horde-ingo (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pear
    /usr/bin/php
    config(php-horde-ingo)
    httpd
    mod_php
    php(language)
    php-channel(pear.horde.org)
    php-date
    php-gettext
    php-ldap
    php-pcre
    php-pear(Net_Sieve)
    php-pear(Net_Socket)
    php-pear(PEAR)
    php-pear(pear.horde.org/Horde_Auth)
    php-pear(pear.horde.org/Horde_Autoloader)
    php-pear(pear.horde.org/Horde_Core)
    php-pear(pear.horde.org/Horde_Exception)
    php-pear(pear.horde.org/Horde_Form)
    php-pear(pear.horde.org/Horde_Group)
    php-pear(pear.horde.org/Horde_Imap_Client)
    php-pear(pear.horde.org/Horde_Mime)
    php-pear(pear.horde.org/Horde_Perms)
    php-pear(pear.horde.org/Horde_Role)
    php-pear(pear.horde.org/Horde_Share)
    php-pear(pear.horde.org/Horde_Util)
    php-pear(pear.horde.org/Horde_View)
    php-pear(pear.horde.org/horde)
    php-spl



Provides
--------
php-horde-ingo:
    config(php-horde-ingo)
    ingo
    php-horde-ingo
    php-pear(pear.horde.org/ingo)



Source checksums
----------------
http://pear.horde.org/get/ingo-3.1.4.tgz :
  CHECKSUM(SHA256) this package     : a8897e1148ed258eab2e914a80a1b23eabc65ee3c2445711b6429910613240b1
  CHECKSUM(SHA256) upstream package : a8897e1148ed258eab2e914a80a1b23eabc65ee3c2445711b6429910613240b1


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1087737
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Conclusion:
1) Requires horde missing.
2) tests run needed.
3) Cleanup legacy stuff highly recommended if package does not targeted to EL-5.

Other seams fine.
Comment 2 Remi Collet 2014-05-16 07:07:52 EDT
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #1)
> Conclusion:
> 1) Requires horde missing.

Requires:       php-pear(%{pear_channel}/horde) >= 5.0.0
Requires:       php-pear(%{pear_channel}/horde) <  6.0.0

> 2) tests run needed.

Current test are not usable.
(upstream) work is in progress in master branch, so for next major version.

https://github.com/horde/horde/tree/FRAMEWORK_5_1/ingo/lib/tests => Broken
https://github.com/horde/horde/tree/master/ingo/test/Ingo => OK

So I plan to enable them for new major horde update.

> 3) Cleanup legacy stuff highly recommended if package does not targeted to
> EL-5.

I prefer to keep them (and clean them after import), because I need them for my backport repo.
Comment 3 Pavel Alexeev 2014-05-16 11:50:09 EDT
Please preserve timestamp on package.xml mangled in %prep.
Comment 5 Pavel Alexeev 2014-05-16 12:48:49 EDT
So, all required issues fixed. Please clean spec on import please and consider include tests when it became usable.

Package APPROVED.
Comment 6 Remi Collet 2014-05-16 13:03:05 EDT
Great thanks for the review.

New Package SCM Request
=======================
Package Name: php-horde-ingo
Short Description: An email filter rules manager
Upstream URL: php-horde-nag
Owners: remi
Branches: fc20 el6 epel7
InitialCC:
Comment 7 Gwyn Ciesla 2014-05-16 13:41:18 EDT
WARNING: Invalid branch fc20 requested
WARNING: Upstream URL seems to be invalid
Comment 8 Remi Collet 2014-05-16 14:20:36 EDT
New Package SCM Request
=======================
Package Name: php-horde-ingo
Short Description: An email filter rules manager
Upstream URL: http://www.horde.org/apps/ingo
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 9 Gwyn Ciesla 2014-05-16 15:00:57 EDT
Git done (by process-git-requests).
Comment 10 Remi Collet 2014-05-17 00:52:41 EDT
Build done in rawhide/epel7

Will push in stable fc20/epel6 with all the other apps for consistency.
Comment 11 Fedora Update System 2014-05-19 11:10:54 EDT
php-horde-ingo-3.1.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-ingo-3.1.4-2.el6
Comment 12 Fedora Update System 2014-05-19 11:11:02 EDT
php-horde-ingo-3.1.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-ingo-3.1.4-2.fc20
Comment 13 Fedora Update System 2014-06-05 00:23:50 EDT
php-horde-ingo-3.1.4-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2014-06-11 19:36:01 EDT
php-horde-ingo-3.1.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.